com.amazonaws.services.lambda.model

## Class AliasConfiguration

- java.lang.Object
- - com.amazonaws.services.lambda.model.AliasConfiguration

All Implemented Interfaces:
  Serializable, Cloneable

    public class AliasConfiguration
    extends Object
    implements Serializable, Cloneable

Provides configuration information about a Lambda function version alias.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AliasConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`AliasConfiguration` `clone()`
`boolean` `equals(Object obj)`
`String` `getAliasArn()` Lambda function ARN that is qualified using the alias name as the suffix.
`String` `getDescription()` Alias description.
`String` `getFunctionVersion()` Function version to which the alias points.
`String` `getName()` Alias name.
`int` `hashCode()`
`void` `setAliasArn(String aliasArn)` Lambda function ARN that is qualified using the alias name as the suffix.
`void` `setDescription(String description)` Alias description.
`void` `setFunctionVersion(String functionVersion)` Function version to which the alias points.
`void` `setName(String name)` Alias name.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`AliasConfiguration` `withAliasArn(String aliasArn)` Lambda function ARN that is qualified using the alias name as the suffix.
`AliasConfiguration` `withDescription(String description)` Alias description.
`AliasConfiguration` `withFunctionVersion(String functionVersion)` Function version to which the alias points.
`AliasConfiguration` `withName(String name)` Alias name.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AliasConfiguration

    public AliasConfiguration()

### Method Detail

#### setAliasArn

    public void setAliasArn(String aliasArn)

Lambda function ARN that is qualified using the alias name as the suffix. For example, if you create an alias called `BETA` that points to a helloworld function version, the ARN is `arn:aws:lambda:aws-regions:acct-id:function:helloworld:BETA`.

Parameters:
  `aliasArn` - Lambda function ARN that is qualified using the alias name as the suffix. For example, if you create an alias called `BETA` that points to a helloworld function version, the ARN is `arn:aws:lambda:aws-regions:acct-id:function:helloworld:BETA`.

#### getAliasArn

    public String getAliasArn()

Lambda function ARN that is qualified using the alias name as the suffix. For example, if you create an alias called `BETA` that points to a helloworld function version, the ARN is `arn:aws:lambda:aws-regions:acct-id:function:helloworld:BETA`.

Returns:
  Lambda function ARN that is qualified using the alias name as the suffix. For example, if you create an alias called `BETA` that points to a helloworld function version, the ARN is `arn:aws:lambda:aws-regions:acct-id:function:helloworld:BETA`.

#### withAliasArn

    public AliasConfiguration withAliasArn(String aliasArn)

Lambda function ARN that is qualified using the alias name as the suffix. For example, if you create an alias called `BETA` that points to a helloworld function version, the ARN is `arn:aws:lambda:aws-regions:acct-id:function:helloworld:BETA`.

Parameters:
  `aliasArn` - Lambda function ARN that is qualified using the alias name as the suffix. For example, if you create an alias called `BETA` that points to a helloworld function version, the ARN is `arn:aws:lambda:aws-regions:acct-id:function:helloworld:BETA`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

Alias name.

Parameters:
  `name` - Alias name.

#### getName

    public String getName()

Alias name.

Returns:
  Alias name.

#### withName

    public AliasConfiguration withName(String name)

Alias name.

Parameters:
  `name` - Alias name.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setFunctionVersion

    public void setFunctionVersion(String functionVersion)

Function version to which the alias points.

Parameters:
  `functionVersion` - Function version to which the alias points.

#### getFunctionVersion

    public String getFunctionVersion()

Function version to which the alias points.

Returns:
  Function version to which the alias points.

#### withFunctionVersion

    public AliasConfiguration withFunctionVersion(String functionVersion)

Function version to which the alias points.

Parameters:
  `functionVersion` - Function version to which the alias points.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDescription

    public void setDescription(String description)

Alias description.

Parameters:
  `description` - Alias description.

#### getDescription

    public String getDescription()

Alias description.

Returns:
  Alias description.

#### withDescription

    public AliasConfiguration withDescription(String description)

Alias description.

Parameters:
  `description` - Alias description.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public AliasConfiguration clone()

Overrides:
  `clone` in class `Object`